Unsupported older Firefox add-ons

Board for discussions around the Basilisk web browser.

Moderator: satrow

LigH1L
Fanatic
Fanatic
Posts: 104
Joined: 2013-02-22, 19:08
Location: NoDSL.de - rural central Germany

Unsupported older Firefox add-ons

Unread post by LigH1L » 2017-11-18, 11:03

I was excited to read that Basilisk is supposed to further on support XPI add-ons of older Firefox versions, similar to Pale Moon.

Unfortunately, right the first one I tried was rejected. I guess more may follow, so I could imagine this thread as a collection of reports... if the development agrees.
  • Save Session "could not be installed because it is not compatible with Basilisk version number" (but it still works in Pale Moon 27.6.1); this add-on provides a feature to save a session while closing the browser, which is automatically restored next time the browser is started; there are many feature-rich session managers out there, just no other seems to provide this specific feature, which is especially useful when e.g. a Windows Update urges to reboot in the middle of your work...

User avatar
Pale Moon Rising
Knows the dark side
Knows the dark side
Posts: 3375
Joined: 2015-10-06, 16:59
Location: Los Angeles CA USA

Re: Unsupported older Firefox add-ons

Unread post by Pale Moon Rising » 2017-11-18, 23:23

I've install a few FF AMO add-ons and sometimes they give the message that it cannot be installed but I install anyway and it is successfully installed and works. It's only if after the install attempt that you get the message that it was not be installed that you know it's futile. Once I install and it says it was installed instead of saying it was not installed the add-on is there and working in the browser for me.
Current Pale Moon(x86) Release | WIN10 | I5 CPU, 1.7 GHz, 6GB RAM, 500GB HD w/ 20GB SSD

Good judgment comes from experience and a lot of that comes from bad judgment. - Will Rogers

Knowing Pale Moon is indisputably #1 is defined by knowing the totality of browsers. - Pale Moon Rising

User avatar
JustOff
Localization Coordinator
Localization Coordinator
Posts: 1780
Joined: 2015-09-03, 19:47
Location: UA
Contact:

Re: Unsupported older Firefox add-ons

Unread post by JustOff » 2017-11-19, 12:45

Here are the add-ons I made in a spare time. That was fun!

Locked